package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ContractManagement.mapper.SlmCustAlphaUseMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUST_ALPHA_USE", namespace=SlmCustAlphaUseMapper.class)
public class SlmCustAlphaUse extends BaseVO implements Serializable {
	/**
	 * 	客户Alpha要求适用客户表
	 */
	private static final long serialVersionUID = -6402097861910197978L;
	@Id
	//Alpha编号
	private String cust_alpha_no;
	public String  getCust_alpha_no() {
		return this.cust_alpha_no;
	}
	public void setCust_alpha_no(String cust_alpha_no) {
		this.cust_alpha_no = cust_alpha_no;
	}

	@Id
	//适用客户编号
	private String chem_alpha_no;
	public String  getChem_alpha_no() {
		return this.chem_alpha_no;
	}
	public void setChem_alpha_no(String chem_alpha_no) {
		this.chem_alpha_no = chem_alpha_no;
	}

	@Column
	//有效标志
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	@Column
	//创建人姓名
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人姓名
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人姓名
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	//Alpha描述
	private String cust_alpha_desc;
	public String getCust_alpha_desc() {
		return cust_alpha_desc;
	}
	public void setCust_alpha_desc(String cust_alpha_desc) {
		this.cust_alpha_desc = cust_alpha_desc;
	}
}
